메일 내용
GET
/v1/mailboxes/{mailbox_id}/messages/{uid}메일 목록에서 folder, uidvalidity 및 uid을 보냅니다. HTML 지워지면 외부 이미지가 포함되지 않습니다. 편지를 읽음으로 표시하려면 별도의 작업을 수행하세요 read.
요구
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/messages/<uid>?uidvalidity=<uidvalidity>' \ -H 'Authorization: Bearer <access_token>'옵션
mailbox_idpath반드시integeruidpath반드시integeruidvalidityquery반드시integerfolderquerystring기본:
"INBOX"X-Customer-IDheader- 옵션 1
string옵션 2null
응답
200 성공적인 응답
application/json
object
uidintegeruidvalidityintegerfolderstringmessage_idstringthread_idstringsenderstringrecipientsarray배열 요소objectnamestringemailstring
subjectstringpreviewstringflagsarray배열 요소stringsize_bytesintegerreceived_atstringUTC.의 날짜 및 시간 오프셋이 없으면 값은 UTC.도 나타냅니다.
textstringhtmlstringattachmentsarray배열 요소objectindexintegerfilenamestringcontent_typestringsize_bytesinteger
ccarray배열 요소objectnamestringemailstring
referencesstringreply_tostring
401 로그인이 필요합니다
application/json
object
detail- 옵션 1
string옵션 2objectcodestringmessagestring
옵션 3array배열 요소object
403 접근 불가
application/json
object
detail- 옵션 1
string옵션 2objectcodestringmessagestring
옵션 3array배열 요소object
404 리소스를 찾을 수 없습니다.
application/json
object
detail- 옵션 1
string옵션 2objectcodestringmessagestring
옵션 3array배열 요소object
409 국가 갈등
application/json
object
detail- 옵션 1
string옵션 2objectcodestringmessagestring
옵션 3array배열 요소object
422 유효성 검사 오류
application/json
object
detailarray배열 요소objectloc반드시array배열 요소옵션 1string옵션 2integermsg반드시stringtype반드시string
503 일시적인 이용 불가
application/json
object
detail- 옵션 1
string옵션 2objectcodestringmessagestring
옵션 3array배열 요소object